Bug 730187 - Language List is difficult to navigate
Language List is difficult to navigate
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Runa Bhattacharjee
Alex Eng
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-12 00:10 EDT by Michael Hideo
Modified: 2013-03-03 21:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 00:32:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attachment (172.42 KB, image/png)
2011-08-12 00:10 EDT, Michael Hideo
no flags Details

  None (edit)
Description Michael Hideo 2011-08-12 00:10:08 EDT
Description of problem:

https://fedora.zanata.org/zanata/language/list

This list is long and challenging to find the right language. Can it be grouped similar to the screenshot attached?
Comment 1 Michael Hideo 2011-08-12 00:10:51 EDT
Created attachment 517948 [details]
Attachment
Comment 2 Sean Flanigan 2011-08-12 00:20:19 EDT
We should at least replace the tiles with a sortable table. Implementing intelligent grouping for all possible BCP-47 locales might take a bit longer.
Comment 3 Sean Flanigan 2011-09-07 00:32:56 EDT
Assigning to Scrum product owner for prioritisation.
Comment 4 Runa Bhattacharjee 2011-09-08 12:55:59 EDT
Sorting based upon encoding would break the functional familiarity for users. Ideally an uniform encoding should be maintained on the editing system based upon the user's or project's preference. 

Is there any particular usecase for this sorting? Thanks.
Comment 5 Alex Eng 2011-10-18 21:07:33 EDT
Implementation of sorting table for language page is done in https://bugzilla.redhat.com/show_bug.cgi?id=726588

Is this sufficient enough for navigation in long list or further enhancement is needed?
Comment 6 Runa Bhattacharjee 2011-11-03 05:34:24 EDT
This looks good. Thanks.
Comment 7 Alex Eng 2012-01-05 18:45:02 EST
Verified in 1.4 and 1.5.

Note You need to log in before you can comment on or make changes to this bug.